VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "DrawBezier"
   ClientHeight    =   4005
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4740
   LinkTopic       =   "Form1"
   ScaleHeight     =   4005
   ScaleWidth      =   4740
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' The endpoints are points 0 and 3.
' The control points are points 1 and 2.
Private m_Pts(3) As PointF

' The index of the next point to define.
Private m_NextPoint As Integer
Private Sub Form_Load()
    m_NextPoint = 0
    Me.ScaleMode = vbPixels
End Sub


' Select a point.
Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    ' If we're starting a new set of four points,
    ' get the first point.
    If m_NextPoint > 3 Then m_NextPoint = 0

    ' Save this point.
    m_Pts(m_NextPoint).X = X
    m_Pts(m_NextPoint).Y = Y

    ' Move to the next point.
    m_NextPoint = m_NextPoint + 1

    ' Redraw.
    Me.Refresh
End Sub

' Draw the currently selected points.
' If we have four points, draw the Bezier curve.
Private Sub Form_Paint()
Dim i As Integer

    Cls
    If m_NextPoint >= 4 Then
        ' Draw a spline.
        DrawBezier Me, 0.01, m_Pts(0), m_Pts(1), m_Pts(2), m_Pts(3)
    End If

    ' Draw the control points.
    For i = 0 To m_NextPoint - 1
        Me.Line (m_Pts(i).X - 3, m_Pts(i).Y - 3)-Step(6, 6), vbWhite, BF
        Me.Line (m_Pts(i).X - 3, m_Pts(i).Y - 3)-Step(6, 6), vbBlack, B
    Next i
End Sub


